document.addEventListener('DOMContentLoaded', () => {
    const inputs = {
        director: document.getElementById('directorInput'),
        actor1: document.getElementById('actor1Input'),
        actor2: document.getElementById('actor2Input'),
        meme: document.getElementById('memeInput')
    };
    
    const displays = {
        director: document.getElementById('directorDisplay'),
        actor1: document.getElementById('actor1Display'),
        actor2: document.getElementById('actor2Display'),
        meme: document.getElementById('memeDisplay')
    };
    
    const generateBtn = document.getElementById('generateBtn');
    const creditsScroll = document.querySelector('.credits-scroll');
    
    Object.keys(inputs).forEach(key => {
        inputs[key].addEventListener('input', (e) => {
            displays[key].textContent = e.target.value;
        });
    });
    
    generateBtn.addEventListener('click', () => {
        creditsScroll.classList.remove('playing');
        void creditsScroll.offsetWidth; // Trigger reflow
        creditsScroll.classList.add('playing');
        
        // Hide inputs during animation
        Object.values(inputs).forEach(input => {
            input.style.display = 'none';
        });
        
        generateBtn.style.display = 'none';
        
        // Show inputs again after animation
        setTimeout(() => {
            Object.values(inputs).forEach(input => {
                input.style.display = 'block';
            });
            generateBtn.style.display = 'block';
            creditsScroll.classList.remove('playing');
        }, 20000);
    });
});